> For the complete documentation index, see [llms.txt](https://docs.contextsdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.contextsdk.com/advanced/handling-memory-warnings.md).

# Handling Memory Warnings

iOS sends a memory warning to your app when the system is running low on memory and may terminate apps that don't reclaim enough quickly. ContextSDK exposes a method you can call from your existing memory-warning handler so it can release any optional in-memory data it doesn't need to keep around.

Calling this method has no effect on the SDK's correctness - anything released can be re-derived on demand, and recent contexts created via your own flow names are still available afterwards.

## Forwarding the memory warning

Call `ContextManager.didReceiveMemoryWarning()` from your `UIApplicationDelegate.applicationDidReceiveMemoryWarning(_:)`:

{% tabs %}
{% tab title="Swift" %}

```swift
func applicationDidReceiveMemoryWarning(_ application: UIApplication) {
    ContextManager.didReceiveMemoryWarning()
}
```

{% endtab %}
{% endtabs %}

The method is safe to call at any time after `applicationDidFinishLaunchingWithOptions(_:licenseKey:)`, and from any thread.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.contextsdk.com/advanced/handling-memory-warnings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
